Package org.drinkless.tdlib

# Class TdApi.UpdateFileDownloads

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateFileDownloads

Enclosing class:
  `TdApi`

public static class TdApi.UpdateFileDownloads extends TdApi.Update
The state of the file download list has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `downloadedSize`
  Total downloaded size of files in the file download list, in bytes.
  `int`
  `totalCount`
  Total number of files in the file download list.
  `long`
  `totalSize`
  Total size of files in the file download list, in bytes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateFileDownloads()`
  The state of the file download list has changed.
  `UpdateFileDownloads(long totalSize, int totalCount, long downloadedSize)`
  The state of the file download list has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalSize

    public long totalSize
    Total size of files in the file download list, in bytes.

  - ### totalCount

    public int totalCount
    Total number of files in the file download list.

  - ### downloadedSize

    public long downloadedSize
    Total downloaded size of files in the file download list, in bytes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateFileDownloads

    public UpdateFileDownloads()
    The state of the file download list has changed.

  - ### UpdateFileDownloads

    public UpdateFileDownloads(long totalSize, int totalCount, long downloadedSize)
    The state of the file download list has changed.
    Parameters:
      `totalSize` - Total size of files in the file download list, in bytes.
      `totalCount` - Total number of files in the file download list.
      `downloadedSize` - Total downloaded size of files in the file download list, in bytes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR